use color_eyre::eyre::ContextCompat;
use color_eyre::Result;

fn main() -> Result<()> {
    let available_devices = loupedeck_serial::device::LoupedeckDevice::discover()?;

    let mut device = available_devices.first()
        .wrap_err("at least one device should be connected")?
        .open()?;

    device.connect()?;

    Ok(())
}
